Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516996 - Exporting a mistral environment and trying to update it afterward fails
Summary: Exporting a mistral environment and trying to update it afterward fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-mistralclient
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Toure Dunnon
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 19:50 UTC by David Hill
Modified: 2018-06-22 12:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:29:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 569411 None None None 2018-05-19 20:59:19 UTC
Launchpad 1769491 None None None 2018-05-19 20:28:34 UTC

Description David Hill 2017-11-23 19:50:42 UTC
Description of problem:
Exporting a mistral environment with "mistral environment-get -f yaml (or json) overcloud > overcloud.yaml " and trying to update the overcloud environment with "mistral environment-update overcloud.yaml" fails on the name key being missing.   Exporting the values seems to export the keys with the first letter of the key capitalized such as "Name" for instance and when trying to import it back, it fails because it's not called "name" ...  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mistral environment-get -f yaml overcloud > overcloud.yaml
2. mistral environment-update overcloud.yaml
3.

Actual results:
Fails finding "name"

Expected results:
Should find it...  If I fix "Name" to "name", it then fails to update the environment because the key "Created at" and "Updated at" are not allowed keys.   Perhaps we should simply overlook those 2 keys.

Additional info:

Comment 8 Scott Lewis 2018-06-22 12:29:54 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.